Package com.enonic.xp.portal.url

## Class ImageUrlParams

- java.lang.Object
- - com.enonic.xp.portal.url.AbstractUrlParams<ImageUrlParams>
  - - com.enonic.xp.portal.url.ImageUrlParams

-     @PublicApi
      public final class ImageUrlParams
      extends AbstractUrlParams<ImageUrlParams>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageUrlParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImageUrlParams` | `background​(String value)` |
    `protected void` | `buildToString​(MoreObjects.ToStringHelper helper)` |
    `ImageUrlParams` | `filter​(String value)` |
    `ImageUrlParams` | `format​(String value)` |
    `String` | `getBackground()` |
    `String` | `getFilter()` |
    `String` | `getFormat()` |
    `String` | `getId()` |
    `String` | `getPath()` |
    `Integer` | `getQuality()` |
    `String` | `getScale()` |
    `ImageUrlParams` | `id​(String value)` |
    `ImageUrlParams` | `path​(String value)` |
    `ImageUrlParams` | `quality​(Integer value)` |
    `ImageUrlParams` | `quality​(String value)` |
    `ImageUrlParams` | `scale​(String value)` |
    `ImageUrlParams` | `setAsMap​(Multimap<String,​String> map)` |
    `ImageUrlParams` | `validate()` |

    - ### Methods inherited from class com.enonic.xp.portal.url.AbstractUrlParams

      `contextPathType, getContextPathType, getDefaultContextPath, getParams, getPortalRequest, getType, param, portalRequest, singleValue, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageUrlParams

          public ImageUrlParams()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getPath

          public String getPath()

    - #### getBackground

          public String getBackground()

    - #### getQuality

          public Integer getQuality()

    - #### getFilter

          public String getFilter()

    - #### getFormat

          public String getFormat()

    - #### getScale

          public String getScale()

    - #### id

          public ImageUrlParams id​(String value)

    - #### path

          public ImageUrlParams path​(String value)

    - #### quality

          public ImageUrlParams quality​(Integer value)

    - #### quality

          public ImageUrlParams quality​(String value)

    - #### format

          public ImageUrlParams format​(String value)

    - #### background

          public ImageUrlParams background​(String value)

    - #### filter

          public ImageUrlParams filter​(String value)

    - #### scale

          public ImageUrlParams scale​(String value)

    - #### setAsMap

          public ImageUrlParams setAsMap​(Multimap<String,​String> map)

      Overrides:
        `setAsMap` in class `AbstractUrlParams<ImageUrlParams>`

    - #### buildToString

          protected void buildToString​(MoreObjects.ToStringHelper helper)

      Overrides:
        `buildToString` in class `AbstractUrlParams<ImageUrlParams>`

    - #### validate

          public ImageUrlParams validate()